/***************************************************************************
 * fileimport.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2006- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef FILEIMPORT_H
#define FILEIMPORT_H

#include <QString>

class TabSong;

class FileImport
{
public:
	FileImport();
	virtual ~FileImport();
	
	virtual bool loadFile(const QString&) = 0;
	
	virtual void setTabSong(TabSong* song);
	virtual TabSong* tabSong() const;
private:
	TabSong* mTabSong;
};

#endif
