/***************************************************************************
 * texnotes.h: implementation of TexNotes class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TEXNOTES_H
#define TEXNOTES_H

#include "fileexport.h"

class TabSong;

class TexNotes : public FileExport
{
public:
	TexNotes();
	virtual ~TexNotes();
	
	virtual bool saveFile(const QString &, const TabSong &);
private:
};

#endif
