/***************************************************************************
 * radiustuner.h: implementation of RadiusTuner class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef RADIUSTUNER_H
#define RADIUSTUNER_H

#include <QWidget>
#include <QResizeEvent>
#include <QPaintEvent>

#include "global.h"

#define RADTUNER_W   47
#define RADTUNER_H   50

class NoteSpinBox;

/*!
	TODO
*/
class RadiusTuner: public QWidget {
	Q_OBJECT
public:
	/*!
		TODO
	*/
	RadiusTuner(QWidget* parent);
	
	/*!
		TODO
	*/
	void setValue(uchar x);
	
	/*!
		TODO
	*/
	uchar value();
	
signals:
	/*!
		TODO
	*/
	void valueChanged(int);
	
private slots:
	void emitValueChanged();
	
private:
	NoteSpinBox* val;
	virtual void resizeEvent(QResizeEvent *e);
	virtual void paintEvent(QPaintEvent *p);
};

#endif
