/***************************************************************************
 * instruments.cpp : InstrumentsList class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "instruments.h"

InstrumentsList::InstrumentsList()
{
	instruments << "Acoustic piano";
	instruments << "Bright piano";
	instruments << "Synth piano";
	instruments << "Honky tonky";
	instruments << "Electric piano 1";
	instruments << "Electric piano 2";
	instruments << "Harpsichord";
	instruments << "Clavinet";
	instruments << "Celeste";
	instruments << "Glockenspiel";
	instruments << "Musicbox";
	instruments << "Vibes";
	instruments << "Marimba";
	instruments << "Xylophon";
	instruments << "TubeBell";
	instruments << "Santur";
	instruments << "Home Org";
	instruments << "Percussion Org";
	instruments << "Rock Org";
	instruments << "Church Org";
	instruments << "Reed Org";
	instruments << "Accordion";
	instruments << "Harmonica";
	instruments << "Concrtna";
	instruments << "Nylon guitar";
	instruments << "Acoustic guitar";
	instruments << "Jazz guitar";
	instruments << "Clean guitar";
	instruments << "Mute guitar";
	instruments << "Od guitar";
	instruments << "Distortion guitar";
	instruments << "Guitar Harmonic";
	instruments << "Acoustic bass";
	instruments << "Finger bass";
	instruments << "Pick bass";
	instruments << "Fretless bass";
	instruments << "Slap bass 1";
	instruments << "Slap bass 2";
	instruments << "Synth Bass 1";
	instruments << "Synth Bass 2";
	instruments << "Violin";
	instruments << "Viola";
	instruments << "Cello";
	instruments << "Contrabajo";
	instruments << "Marcato";
	instruments << "Pizzicato";
	instruments << "Harp";
	instruments << "Timpani";
	instruments << "Marcato";
	instruments << "Slow strings";
	instruments << "Synth strings 1";
	instruments << "Synth strings 2";
	instruments << "Choir";
	instruments << "Doo";
	instruments << "Voices";
	instruments << "Orchestra Hit";
	instruments << "Trumpet";
	instruments << "Trombone";
	instruments << "Tuba";
	instruments << "Mute trumpet";
	instruments << "French horn";
	instruments << "Hit brass";
	instruments << "Synth brass 1";
	instruments << "Synth brass 2";
	instruments << "Soprano sax";
	instruments << "Alto sax";
	instruments << "Tenor sax";
	instruments << "Baritone sax";
	instruments << "Oboe";
	instruments << "English horn";
	instruments << "Bassoon";
	instruments << "Clarinet";
	instruments << "Piccolo";
	instruments << "Flute";
	instruments << "Recorder";
	instruments << "WoodFlute";
	instruments << "Bottle";
	instruments << "Shakazul";
	instruments << "Whistle";
	instruments << "Ocarina";
	instruments << "Square wave";
	instruments << "Saw wave";
	instruments << "Calliope";
	instruments << "Chiflead";
	instruments << "Charang";
	instruments << "Vox lead";
	instruments << "Lead 5th";
	instruments << "Bass lead";
	instruments << "Fantasia";
	instruments << "Warm pad";
	instruments << "Polysyn";
	instruments << "Ghostie";
	instruments << "Bow glass";
	instruments << "Metal pad";
	instruments << "Halo pad";
	instruments << "Sweeper";
	instruments << "Aurora";
	instruments << "Sound track";
	instruments << "Crystal";
	instruments << "Atmosphear";
	instruments << "Fresh air";
	instruments << "Unicorn";
	instruments << "Sweeper";
	instruments << "Star trak";
	instruments << "Sitar";
	instruments << "Banjo";
	instruments << "Shamisen";
	instruments << "Koto";
	instruments << "Kalimba";
	instruments << "Bag pipes";
	instruments << "Fiddle";
	instruments << "Shannai";
	instruments << "Carillon";
	instruments << "Agogo";
	instruments << "Steel drum";
	instruments << "WoodBlk";
	instruments << "Taiko";
	instruments << "Toms";
	instruments << "Syntom";
	instruments << "RevCymbal";
	instruments << "Fx-Fret";
	instruments << "Fx-Blow";
	instruments << "Seashore";
	instruments << "Jungle";
	instruments << "Telephon";
	instruments << "Helicopter";
	instruments << "Applause";
	instruments << "Gunshot";
}

QString InstrumentsList::getInstrument(uint n) const
{
	if (n > 127)
		return "";
	
	return instruments[n];
}

const QStringList& InstrumentsList::getInstrumentList() const
{
	return instruments;
}
