/***************************************************************************
 * tabfingering.h: implementation of Duration enumeration
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2002-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef TABFINGERING_H
#define TABFINGERING_H

enum TabFingering {
	UnknownFingering = -2,
	NoneFingering = -1,
	Thumb = 0,
	Index = 1,
	MiddleFinger = 2,
	RingFinger = 3,
	LittleFinger = 4
};

#endif
