/***************************************************************************
 * tabharmonic.h: implementation of Harmonic enumeration
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef TABHARMONIC_H
#define TABHARMONIC_H

enum Harmonic {
	NoneHarmonic,
	Natural,
	Tapped = 3,
	Pitch = 4,
	Semi = 5,
	Artificial5 = 15,
	Artificial7 = 17,
	Artificial12 = 22
};

#endif
