/***************************************************************************
 * qcanvaslinecm.h: implementation of QCanvasLineCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef QCANVASLINECM_H
#define QCANVASLINECM_H

#include <QGraphicsLineItem>

#include "qcanvasitemcm.h"

class Cm;

class QCanvasLineCm : public QGraphicsLineItem, public QCanvasItemCm {
public:
	QCanvasLineCm();
	
	virtual ~QCanvasLineCm();
	
	/*virtual void setX(const Cm& x);
	virtual void setY(const Cm& y);*/
	
	//virtual void move(const Cm& x, const Cm& y);
	virtual void moveBy(const Cm& x, const Cm& y);
	
	virtual void setPoints(const Cm& xa, const Cm& ya, const Cm& xb, const Cm& yb);
};

#endif
