/***************************************************************************
 * introduction.h: implementation of Timidity class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef INTRODUCTION_H
#define INTRODUCTION_H

#include <QWizardPage>

class QWidget;
class QLabel;
class QVBoxLayout;

class Introduction : public QWizardPage {
	Q_OBJECT
public:
	Introduction(QWidget* parent);
	
private:
	QLabel* mIntroductionLabel;
	QVBoxLayout* mIntroductionLayout;
};

#endif
