/***************************************************************************
 * bendeditor.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef BENDEDITOR_H
#define BENDEDITOR_H

#include "ui_bendeditordialog.h"

class TabBend;

class BendEditor : public QDialog, public Ui::BendEditorDialog
{
    Q_OBJECT
public:
	BendEditor();
	
	virtual void fillKindOfBends();
	virtual void fillHighOfBends();
	
	virtual TabBend bend() const;
};

#endif
