/***************************************************************************
 * fileexport.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef FILEEXPORT_H
#define FILEEXPORT_H

#include <QString>

class TabSong;

class FileExport
{
public:
	virtual ~FileExport();
	
	virtual bool saveFile(const QString&, const TabSong&) = 0;
};

#endif
