/***************************************************************************
 * fileimport.cpp
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2006- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#include "fileimport.h"
#include "util/assert.h"

FileImport::FileImport()
: mTabSong(0x0)
{
}

FileImport::~FileImport()
{
}

void FileImport::setTabSong(TabSong* song)
{
	PRECONDITION( song != 0x0 );
	
	mTabSong = song;
}

TabSong* FileImport::tabSong() const
{
	POSTCONDITION( mTabSong != 0x0 );
	
	return mTabSong;
}
