/***************************************************************************
 * global.h: implementation of global utility functions and global defines
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

// Global defines
//
#ifndef GLOBAL_H
#define GLOBAL_H
	static const char sMaxStrings = 12;
	static const char sMaxFrets   = 24;
	static const char sNumFrets   = 5;
#endif

#define MAX_STRINGS   12
#define MAX_FRETS     24
#define NUMFRETS      5

// Global utility functions

#include <qglobal.h>
// #include <config.h>
#include <kdebug.h>

class QString;

QString midi_patch_name(int);

extern QString drum_abbr[128];
