/***************************************************************************
 * instruments.h: definition of InstrumentsList class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef __INSTRUMENTS__
#define __INSTRUMENTS__

#include <QStringList>

class InstrumentsList
{
public:
	InstrumentsList();
	QString getInstrument(uint n) const;
	const QStringList& getInstrumentList() const;
private:
	QStringList instruments;
};

#endif
