/***************************************************************************
 * settab.h: implementation of SetTab class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef SETTAB_H
#define SETTAB_H

class SetTab
{
public:
	virtual uchar strings() const = 0;
	virtual uchar frets() const = 0;
	virtual uchar tune(uchar i) const = 0;
};

#endif
