/***************************************************************************
 * songpropertiesdialog.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007 the KTabEdit development team  <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef SONGPROPERTIESDLG_H
#define SONGPROPERTIESDLG_H

#include <QWidget>

#include "ui_songpropertiesdialog.h"

#include "tablature/songkey.h"
#include "tablature/tablyrics.h"
#include "tablature/tabproperties.h"

class SongPropertiesDialog : public QDialog, public Ui::SongPropertiesDialog
{
Q_OBJECT
public:
	SongPropertiesDialog(const TabProperties* tabProperties);
	virtual ~SongPropertiesDialog();
	
	virtual TabProperties* properties() const;
private:
    Ui::SongPropertiesDialog m_ui;
};

#endif
