/***************************************************************************
 * tabduration.h: implementation of Duration enumeration
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef TABDURATION_H
#define TABDURATION_H

enum Duration {
	NoneDuration = 0,
	Whole = 1920,
	Half = 960,
	Quarter = 480,
	Eighth = 240,
	Sixteenth = 120,
	ThirthSecond = 60,
	SixtyFourth = 30,
	HundredTwentyEighth = 15
};

#endif
