/***************************************************************************
 * tabslide.h: implementation of Slide enumeration
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef TABSLIDE_H
#define TABSLIDE_H

enum Slide {
	NoneSlide,
	ShiftSlide,
	LegatoSlide,
	OutDownwardSlide,
	OutUpwardSlide,
	SlideInBelow = 255,
	SlideInAbove = 254
};

#endif
