/***************************************************************************
 * tabsongobserver.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TABSONGOBSERVER_H
#define TABSONGOBSERVER_H

class TabTrack;

class TabSongObserver
{
public:
	TabSongObserver();
	virtual ~TabSongObserver();
	
	virtual void songUpdated();
	virtual void trackAdded(TabTrack*);
	virtual void trackDeleted(TabTrack*);
	virtual void propertyChanged();
	virtual void keyChanged();
	virtual void lyricsChanged();
private:
};

#endif
