/***************************************************************************
 * qcanvasellipsecm.h: implementation of QCanvasEllipseCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef QCANVASELLIPSECM_H
#define QCANVASELLIPSECM_H

#include <QGraphicsEllipseItem>

#include "qcanvasitemcm.h"

class Cm;
class QPointCm;

class QCanvasEllipseCm : public QGraphicsEllipseItem, public QCanvasItemCm {
public:
	QCanvasEllipseCm();
	QCanvasEllipseCm(const Cm& x, const Cm& y, const Cm& width, const Cm& height);
	
	/*virtual void setX(const Cm& x);
	virtual void setY(const Cm& y);
	
	virtual void move(const Cm& x, const Cm& y);*/
	virtual void setPosFromPoint(const QPointCm& point, const Cm& width, const Cm& height);
	virtual void setPosFromCoord(const Cm& x, const Cm& y, const Cm& width, const Cm& height);
	
	virtual void moveBy(const Cm& x, const Cm& y);
};

#endif
